@import "variables";

:host > nz-card {
  height: 230px;
  box-shadow: 0 2px 4px rgba(26, 15, 61, 0.2);
  border-radius: 2px;
  background: url("../../../../../assets/wf-background.png") no-repeat bottom right;

  &::ng-deep > .ant-card-body {
    padding: 32px 32px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    height: 100%;
  }

  h2 {
    display: -webkit-box;
    font-size: 1.25rem;
    font-weight: 900;
    line-height: 1;
    margin-bottom: 0.5rem;
    height: 2.5rem;
    word-break: break-word;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;
    overflow: hidden;
  }

  h3 {
    color: $primary5;
    font-weight: 900;
    line-height: 1;
    margin-bottom: 1.5rem;
  }

  p {
    font-size: 0.875rem;
    line-height: 1;
    margin-bottom: 0;
    word-break: break-word;
    font-weight: 600;
  }

  ryax-deployment-tag {
    position: absolute;
    right: 16px;
    bottom: 16px;
  }
}
